> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get workflow definition by its InstanceId

GET https://apiqana11.springcm.com/v2/{accountId}/workflowdefinitions/{id}

Get workflow definition by its InstanceId

Developing with the CLM API is only available
for CLM customers with a production account.
To purchase a plan to gain access to the CLM API,
contact [Docusign Sales](https://www.docusign.com/contact-sales).

Reference: https://developers.docusign.com/docs/clm-api/reference/objects/workflowdefinitions/get

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — Docusign OAuth 2.0 access token, sent as `Authorization: Bearer <token>`.

## Servers

- `https://apiqana11.springcm.com/v2` (Demo, default)
- `https://apina11.springcm.com/v2` (Production)

## Request

### Path parameters

- `id` (string, required) — ID of workflow definition.
- `accountId` (string, required) — The ID of the Docusign account.

## Response

### 200

OK

- `Name` (string, optional) — The name of the workflow as given in the workflow designer. Required when starting a new workflow
- `CreatedDate` (datetime, optional) — Date and time the workflow definition was created
- `UpdatedDate` (datetime, optional) — Date and time the workflow definition was last updated
- `Href` (string, optional) — Uri where the object can be retrieved.

## Examples

**Response**

```json
{
  "Name": "string",
  "CreatedDate": "2024-01-15T09:30:00Z",
  "UpdatedDate": "2024-01-15T09:30:00Z",
  "Href": "string"
}
```